MonoMac 0.0.0.0 MonoMac.CoreMidi.MidiObject Endpoints represent an individual source or destination on the MIDI stream. Physical endpoints are owned by objects, virtual endpoints do not have an owning entity. CoreMidiSample
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSData To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the MidiEndpoint object.

  This Dispose method releases the resources used by the MidiEndpoint class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the MidiEndpoint ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreMidi.MidiEntity To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreMidi.MidiEndpoint `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreMidi.MidiEndpoint `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Boolean Determines if the Endpoint represents a network session. This probes for the apple.midirtp.session property in the endpoint properties.
- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.CoreMidi.MidiPacketsEventArgs> Event raised when a new set of packets have been received on this endpoint.
- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSDictionary To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreMidi.MidiError `` Packets received. Broadcasts the packets to the client input ports which are connected to this source Status code of the operation
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.